import $req from '../request';


export const getInspectorCourseList = (params: {userId: string | number}) => {
  return $req({
    method: 'get',
    url: '/inspectorParent/userInspectorCourseList',
    params
  });
}

export const getInspectorModeList = () => {
  return $req({
    method: 'get',
    url: '/inspectorParent/inspectorModeList',
  });
}

// 最近或最后一次课时督学师和同学信息
export const getInspectorTeacherStudentInfo = (params: {orderId: string}) => {
  return $req({
    method: 'get',
    url: '/inspectorParent/inspectorTeacherStudentInfo',
    params
  });
}

// 督学订单列表
export const getInspectorOrderList = (params: {userId: string | number}) => {
  return $req({
    method: 'get',
    url: '/inspectorParent/userInspectorOrderList',
    params
  });
}

// 查询督学计划
export const getInspectorPlan = (params: {inspectorPlanId: string}) => {
  return $req({
    method: 'get',
    url: '/inspectorParent/inspectorPlanInfo',
    params
  });
}

// 督学计划报告
export const getInspectorPlanReport = (params: {userId: string}) => {
  return $req({
    method: 'get',
    url: '/inspectorParent/userInspectorCourseReportList',
    params
  });
}

